C
C     Test FORTRAN main program for LSQ check 
C     
C     2005-06-17
C     
C     by T.Kondo
C


      PROGRAM main
      
      dimension xdat(5),ydat(5)
      data xdat/1.0,2.0,3.0,4.0,5.0/,
     .     ydat/3.2,4.2,6.2,5.2,8.2/
      
      call lsqinit
      nobs=5
      npara=2
      yerr=0.1
      do n=1, nobs
         x=xdat(n)
         y=ydat(n)
         call lsqsetobs(y,yerr,n)
         do m=1, npara
            if(m.eq.1) then
               anm=x
            else
               anm=1.0
            endif
            call lsqsetjacob(anm,n,m,ierr)
         end do
      end do
      call lsqsetsize(nobs,npara)
      call dolsq(ierr)
      call lsqgetkai(x1,xerr1,1)
      call lsqgetkai(x2,xerr2,2)
      
      print *,'Adjusted parameter a = ',x1,' +/- ',xerr1
      print *,'Adjusted parameter b = ',x2,' +/- ',xerr2
      call lsqgetstd(sum2,sigma,chi2,nfree,ndata,mpara)
      call lsqgetcov(v1,1,1)
      call lsqgetcov(v2,2,2)
      print *,'v1,v2',v1,v2
      v1=v1*sigma*sigma;
      v2=v2*sigma*sigma;
      print *,'v1,v2',v1,v2
      
      stop
      end
       
